#  Copyright (C) 2009-2019 by Maxim S. Barabash
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Affero General Public License
#  as published by the Free Software Foundation, either version 3
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU Affero General Public License
#  along with this program.  If not, see <https://www.gnu.org/licenses/>.

from uc2.uc2const import COLOR_RGB


REPLACEMENT_COLOR = [COLOR_RGB, [0.0, 0.0, 0.0], 1.0, 'Black']

DEFAULT_COLORS = [
    [COLOR_RGB, [0.05, 0.12, 0.49], 1.0, '1 - Prussian Blue'],
    [COLOR_RGB, [0.04, 0.33, 0.64], 1.0, '2 - Blue'],
    [COLOR_RGB, [0.00, 0.53, 0.47], 1.0, '3 - Teal Green'],
    [COLOR_RGB, [0.29, 0.42, 0.69], 1.0, '4 - Cornflower Blue'],
    [COLOR_RGB, [0.93, 0.09, 0.12], 1.0, '5 - Red'],
    [COLOR_RGB, [0.82, 0.36, 0.00], 1.0, '6 - Reddish Brown'],
    [COLOR_RGB, [0.57, 0.21, 0.59], 1.0, '7 - Magenta'],
    [COLOR_RGB, [0.89, 0.60, 0.80], 1.0, '8 - Light Lilac'],
    [COLOR_RGB, [0.57, 0.37, 0.67], 1.0, '9 - Lilac'],
    [COLOR_RGB, [0.62, 0.84, 0.49], 1.0, '10 - Mint Green'],
    [COLOR_RGB, [0.91, 0.66, 0.00], 1.0, '11 - Deep Gold'],
    [COLOR_RGB, [1.00, 0.73, 0.21], 1.0, '12 - Orange'],
    [COLOR_RGB, [1.00, 1.00, 0.00], 1.0, '13 - Yellow'],
    [COLOR_RGB, [0.44, 0.74, 0.12], 1.0, '14 - Lime Green'],
    [COLOR_RGB, [0.73, 0.60, 0.00], 1.0, '15 - Brass'],
    [COLOR_RGB, [0.66, 0.66, 0.66], 1.0, '16 - Silver'],
    [COLOR_RGB, [0.49, 0.44, 0.00], 1.0, '17 - Russet Brown'],
    [COLOR_RGB, [1.00, 1.00, 0.70], 1.0, '18 - Cream Brown'],
    [COLOR_RGB, [0.31, 0.33, 0.34], 1.0, '19 - Pewter'],
    [COLOR_RGB, [0.00, 0.00, 0.00], 1.0, '20 - Black'],
    [COLOR_RGB, [0.04, 0.24, 0.57], 1.0, '21 - Ultramarine'],
    [COLOR_RGB, [0.47, 0.00, 0.46], 1.0, '22 - Royal Purple'],
    [COLOR_RGB, [0.16, 0.19, 0.20], 1.0, '23 - Dark Gray'],
    [COLOR_RGB, [0.16, 0.07, 0.00], 1.0, '24 - Dark Brown'],
    [COLOR_RGB, [0.96, 0.29, 0.54], 1.0, '25 - Deep Rose'],
    [COLOR_RGB, [0.70, 0.46, 0.14], 1.0, '26 - Light Brown'],
    [COLOR_RGB, [0.99, 0.73, 0.77], 1.0, '27 - Salmon Pink'],
    [COLOR_RGB, [1.00, 0.22, 0.06], 1.0, '28 - Vermillion'],
    [COLOR_RGB, [0.94, 0.94, 0.94], 1.0, '29 - White'],
    [COLOR_RGB, [0.42, 0.11, 0.54], 1.0, '30 - Violet'],
    [COLOR_RGB, [0.66, 0.87, 0.77], 1.0, '31 - Seacrest'],
    [COLOR_RGB, [0.15, 0.52, 0.73], 1.0, '32 - Sky Blue'],
    [COLOR_RGB, [1.00, 0.70, 0.26], 1.0, '33 - Pumpkin'],
    [COLOR_RGB, [1.00, 0.95, 0.42], 1.0, '34 - Cream Yellow'],
    [COLOR_RGB, [0.82, 0.65, 0.38], 1.0, '35 - Khaki'],
    [COLOR_RGB, [0.82, 0.33, 0.00], 1.0, '36 - Clay Brown'],
    [COLOR_RGB, [0.40, 0.73, 0.29], 1.0, '37 - Leaf Green'],
    [COLOR_RGB, [0.07, 0.29, 0.27], 1.0, '38 - Peacock Blue'],
    [COLOR_RGB, [0.53, 0.53, 0.53], 1.0, '39 - Gray'],
    [COLOR_RGB, [0.85, 0.80, 0.78], 1.0, '40 - Warm Gray'],
    [COLOR_RGB, [0.26, 0.34, 0.03], 1.0, '41 - Dark Olive'],
    [COLOR_RGB, [0.99, 0.85, 0.87], 1.0, '42 - Flesh Pink'],
    [COLOR_RGB, [0.98, 0.58, 0.74], 1.0, '43 - Pink'],
    [COLOR_RGB, [0.00, 0.22, 0.13], 1.0, '44 - Deep Green'],
    [COLOR_RGB, [0.70, 0.69, 0.83], 1.0, '45 - Lavender'],
    [COLOR_RGB, [0.41, 0.42, 0.69], 1.0, '46 - Wisteria Violet'],
    [COLOR_RGB, [0.94, 0.89, 0.73], 1.0, '47 - Beige'],
    [COLOR_RGB, [0.97, 0.22, 0.40], 1.0, '48 - Carmine'],
    [COLOR_RGB, [0.71, 0.29, 0.39], 1.0, '49 - Amber Red'],
    [COLOR_RGB, [0.07, 0.17, 0.10], 1.0, '50 - Olive Green'],
    [COLOR_RGB, [0.78, 0.00, 0.34], 1.0, '51 - Dark Fuschia'],
    [COLOR_RGB, [1.00, 0.62, 0.20], 1.0, '52 - Tangerine'],
    [COLOR_RGB, [0.66, 0.87, 0.92], 1.0, '53 - Light Blue'],
    [COLOR_RGB, [0.00, 0.40, 0.24], 1.0, '54 - Emerald Green'],
    [COLOR_RGB, [0.31, 0.16, 0.56], 1.0, '55 - Purple'],
    [COLOR_RGB, [0.18, 0.49, 0.13], 1.0, '56 - Moss Green'],
    [COLOR_RGB, [1.00, 0.80, 0.80], 1.0, '57 - Flesh Pink'],
    [COLOR_RGB, [1.00, 0.85, 0.07], 1.0, '58 - Harvest Gold'],
    [COLOR_RGB, [0.04, 0.36, 0.65], 1.0, '59 - Electric Blue'],
    [COLOR_RGB, [0.94, 0.98, 0.44], 1.0, '60 - Lemon Yellow'],
    [COLOR_RGB, [0.89, 0.95, 0.36], 1.0, '61 - Fresh Green'],
    [COLOR_RGB, [1.00, 0.60, 0.00], 1.0, '62 - Orange'],
    [COLOR_RGB, [1.00, 0.94, 0.55], 1.0, '63 - Cream Yellow'],
    [COLOR_RGB, [1.00, 0.78, 0.78], 1.0, '64 - Applique'],
    [COLOR_RGB, [1.00, 1.00, 1.00], 1.0, '65 - White'],
]
